import 'package:redux_enhancement/redux_types.dart';

class ActionReducer<State, Action, Value> {
  final Type action = Action;
  final SetterFunction<State, Value> reducer;

  ActionReducer(this.reducer);

  State call(State state, Value value) => reducer(state, value);
}
